# news

A ReSTful api for storing and retrieving news articles

## Pip tools
This project uses pip-tools for developement. Reference the [project page](https://github.com/jazzband/pip-tools) for usage instructions.

## DB Connection

The database connection string must be set using the `NEWS_DB` environmental variable.

```
$ export NEWS_DB=postgresql://apistar:local@localhost/news
```

## Console Script
A console script os provided for testing via the Werkzueg development server.


```
$(env)wsgi_serve

```

## Deployment

```
$(env) gunicorn -w 2 -b 0.0.0.0:8080 --chdir scripts/ wsgi_app:app
```